#include<bits/stdc++.h>
using namespace std;
#define endl "\n"
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long a, b, k;
    cin>>a>>b>>k;
    long long i, j=0;
    for(i=a+2; i<=b; i+=2)
    {
        if(i%k==0) i--;
        j++;
    }
    if(i-2!=b) j++;
    cout<<j;
    return 0;
}
